<include file="Public:head"/>
<include file="Public:load" />

<link href="{pigcms::RES}/faceclass/libs/bootstrap/css/bootstrap.min.css" rel="stylesheet">
<link href="{pigcms::RES}/faceclass/libs/bootstrap/css/bootstrap-theme.min.css" rel="stylesheet">
<link href="{pigcms::RES}/faceclass/libs/select2/css/select2.min.css" rel="stylesheet">
<link href="{pigcms::RES}/faceclass/libs/select2/css/select2-bootstrap.min.css" rel="stylesheet">
<link href="{pigcms::RES}/faceclass/libs/dialog/dialog.css" rel="stylesheet">
<link href="{pigcms::RES}/faceclass/css/admin.css" rel="stylesheet">
<link href="{pigcms::RES}/faceclass/css/grid.css" rel="stylesheet">

<div class="content" id="RightContent" style="display:none;">
    <div class="cLineB">
        <h4>面授管理</h4>
    </div>

	<!-- Nav tabs -->
	<ul class="nav nav-tabs">
		<li role="presentation" class="active"><a href="{pigcms::U('Faceclass/index')}" role="tab">场次管理</a></li>
		<li role="presentation"><a href="{pigcms::U('Faceclass/expenses')}" role="tab">费用管理</a></li>
		<!-- <li role="presentation" class="active"><a href="#schedule" role="tab" data-toggle="tab">场次管理</a></li> -->
		<!-- <li role="presentation"><a href="#expenses" role="tab" data-toggle="tab">费用管理</a></li> -->
	</ul>

	<!-- Tab panes -->
	<div class="tab-content">
		<div role="tabpanel" class="tab-pane active" id="schedule">
			<div class="panel panel-default">
				<div class="panel-body grid-filter" id="grid-filter">
					<form class="form-inline" action="{pigcms::U('Faceclass/faceclasslist')}" method="post">
					  <div class="form-group">
					    <label for="exampleInputName2">Year</label>
					    <select class="form-control" name="year" id="year">
                        <volist id='year' name='year'>
					    	<option value="{pigcms:$year}">{pigcms:$year}</option>
                        </volist>
					    </select>
					  </div>
					  <div class="form-group">
					    <label for="exampleInputName2">Month</label>
					    <select class="form-control" name="month" id="month">
					    	<volist id='month' name='month'>
					    	<option value="{pigcms:$month}">{pigcms:$month}</option>
                       		 </volist>
					    </select>
					  </div>
					  <div class="form-group">
					    <label for="exampleInputName2">EM</label>
					    <select class="form-control" name="em" id="em">
					    	<volist id='em' name='em'>
					    	<option value="{pigcms:$em}">{pigcms:$em}</option>
                       		 </volist>
					    </select>
					  </div>
					  <div class="form-group">
					    <label for="exampleInputName2">PM</label>
					    <select class="form-control" name="pm" id="pm">
					    	<volist id='pm' name='pm'>
					    	<option value="{pigcms:$pm}">{pigcms:$pm}</option>
                       		 </volist>
					    </select>
					  </div>
					  <div class="form-group">
					    <label for="exampleInputName2">Vendor</label>
					    <select class="form-control" name="vendor" id="vendor">
					    	<volist id='vendor' name='vendor'>
					    	<option value="{pigcms:$vendor}">{pigcms:$vendor}</option>
                       		 </volist>
					    </select>
					  </div>
					  <div class="form-group">
					    <label for="exampleInputName2">Trainer</label>
					    <select class="form-control" name="trainer" id="trainer">
					    	<volist id='trainer' name='trainer'>
					    	<option value="{pigcms:$trainer}">{pigcms:$trainer}</option>
                       		 </volist>
					    </select>
					  </div>
					  <div class="form-group">
					    <label for="exampleInputName2">Status</label>
					    <select class="form-control" name="status" id="status">
					    	<volist id='state' name='state'>
					    	<option value="{pigcms:$state}">{pigcms:$state}</option>
                       		 </volist>
					    </select>
					  </div>
					  <div class="form-group">
					    <label for="exampleInputName2">变动记录</label>
					    <select class="form-control" name="changed" id="changed">
					    	<option value="All">All</option>
					    	<option value="yes">有变动</option>
					    	<option value="no">无变动</option>
					    </select>
					  </div>
					  <div class="form-group">
					    <label for="exampleInputName2">Country</label>
					    <select class="form-control" name="country" id="country">
					    	<volist id='country' name='country'>
					    	<option value="{pigcms:$country}">{pigcms:$country}</option>
                       		 </volist>
					    </select>
					  </div>
					  <div class="form-group">
					    <label for="exampleInputName2">City</label>
					    <select class="form-control" name="city" id="city">
					    	<option value="Shanghai">Shanghai</option>
					    	<option value="Chengdu">Chengdu</option>
					    	<option value="Beijing">Beijing</option>
					    	<option value="Suzhou">Suzhou</option>
					    </select>
					  </div>
					  <div class="form-group">
					    <label for="exampleInputName2">Scheduled Offering ID</label>
					    <input type="text" class="form-control" name="scheduledOfferingID" placeholder="Scheduled Offering ID">
					  </div>
					  <div class="form-group">
					    <label for="exampleInputName2">Title</label>
					    <input type="text" class="form-control" name="title" placeholder="Title">
					  </div>
					  <div class="form-group">
					  	<button type="submit" class="btn btn-primary">搜索</button>
					  </div>
					</form>
				</div>

				<div id="scheduleTable" class="table-responsive"></div>
			</div>
		</div>
		<div role="tabpanel" class="tab-pane" id="expenses">...</div>
	</div>


</div>
<div class="clr"></div>
</div>
</div>
</div>
<!--底部-->
</div>

<!-- <script src="{pigcms::RES}/faceclass/libs/jquery/jquery-3.1.1.min.js"></script> -->
<script src="{pigcms::RES}/faceclass/libs/bootstrap/js/bootstrap.min.js"></script>
<script src="{pigcms::RES}/faceclass/libs/tmpl/jquery.tmpl.min.js"></script>
<script src="{pigcms::RES}/faceclass/libs/select2/js/select2.min.js"></script>
<script src="{pigcms::RES}/faceclass/libs/dialog/dialog.js"></script>
<script src="{pigcms::RES}/faceclass/js/jquery.pagination.js"></script>
<script src="{pigcms::RES}/faceclass/js/jquery.grid.js"></script>
<script src="{pigcms::RES}/faceclass/js/admin.js"></script>

<script>
	$('#scheduleTable').grid({

        pagination: {
            "pageSize": 10,
            "currentPage": 1,
            "textPrev": "上一页",
            "textNext": "下一页",
            "textStatus": "当前显示第 ${limit1} 至 ${limit2} 条，共 ${total} 条数据。",
            "onPageChange": function(page) {},
            "onPageSizeChange": function(pageSize) {}
        },
        idField: 'id',
        dataUrl: '{pigcms::U('Faceclass/faceclasslist',array("token"=>$token))}',
        // multiDeleteUrl: '/mock/grid.json?action=multiDetele&ids=$ids',
        // addUrl: '/mock/grid.json?action=add&id=$id',
        // addPageUrl: 'layout-pages/add-page.html',
        addDialogTitle: '新增', // 新增弹框的标题
        filter: $('#grid-filter'),
        hover: true,
        zebra: false,
        checkbox: true,
        multiSelect: false,
        onSelected: function() {},
        queryParams: function() {
            return {
                categoryId: 0,
                timestamp: new Date().getTime()
            }
        },
        columns: [

        	/*
	        	"reminder": null,
				"minimum_registration": 1,
				"tea": null,
				"start_date_time": "07\/Dec\/2016",
				"city": "Dongguan",
				"trainer": null,
				"id": 6585,
				"title": "Material Science - Plastics-B",
				"facility": "CN, Dongguan, \u4e1c\u839e\u5e02\u6a1f\u6728\u5934\u6a1f\u6d0b\u5bcc\u7af9\u56db\u8857, Fu Zhu 4th Street.ZhangYang Zhang Mu Tou Town; (CN_Don)",
				"description": "Location: A. Schulman Dongguan Plant",
				"changeStatus": 9,
				"primary_location_id": null,
				"place": null,
				"item_type": "COURSE",
				"scheduled_offering_id": 107178,
				"status": "Full, 3 waitlisted",
				"vendor": null,
				"cancelled": "No",
				"teach": null,
				"country": "CN",
				"end_date_time": "08\/Dec\/2016",
				"time_zone": "Asia\/Shanghai",
				"item_id": "T001-843",
				"registration_cut_off_date": "27\/Nov\/2016 00:00 Asia\/Shanghai",
				"pm": "Yang Daisy",
				"em": "Wang Li",
				"maximum_registration": 5
        	 */
            {
                field: 'scheduled_offering_id',
                title:'Scheduled Offering ID',
                width: 70,
                align: 'center',
                formatter:function(value, data){
                    return '<a href="javascript:void(0)">'+ value +'</a>';
                }
            }, {
                field: 'title',
                title:'Title',
                width: 120,
                formatter:function(value, data){
                    return value || '';
                }
            }, {
                field: 'status',
                title:'STATUS',
                width: 80,
                formatter:function(value, data){
                    if (data.cancelled.toLowerCase() !== 'no') {
                    	return 'Cancelled';
                    } else {
                    	return ''
                    }
                }
            }, {
                field: 'status',
                title:'TRACKING',
                width: 244,
                formatter:function(value, data){
                	var list = [];
                	list.push('<img style="height: 28px;" src="{pigcms::RES}/faceclass/imgs/reminder.png"/>');
                	list.push('<img style="height: 24px;" src="{pigcms::RES}/faceclass/imgs/checked.png"/>');

                	list.push('<img style="height: 28px;" src="{pigcms::RES}/faceclass/imgs/space.png"/>');
                	list.push('<img style="height: 24px;" src="{pigcms::RES}/faceclass/imgs/checked.png"/>');

                	list.push('<img style="height: 28px;" src="{pigcms::RES}/faceclass/imgs/tea-break.png"/>');
                	list.push('<img style="height: 24px;" src="{pigcms::RES}/faceclass/imgs/checked.png"/>');

                	list.push('<img style="height: 28px;" src="{pigcms::RES}/faceclass/imgs/teaching-material.png"/>');
                	list.push('<img style="height: 24px;" src="{pigcms::RES}/faceclass/imgs/uncheck.png"/>');

                	return list.join('');
                }
            }, {
                field: 'id',
                title:'操作栏',
                width: 144,
                formatter:function(value, data){
                	var list = [];

                	if (value%2 === 0) {
                		list.push('<a href="">变更记录</a>');
                	} else {
                		list.push('<span>变更记录</span>');
                	}
                	return list.join('');
                }
            }, {
                field: 'id',
                title:'Date/Time',
                width:190,
                align:'left',
                formatter:function(value, data){
                	return data.start_date_time + '~' +data.end_date_time;
                }
            }, {
                field: 'em',
                title: 'EM',
                width: 70,
                align: 'left',
                formatter:function(value, data){ return value || ''; }
            }, {
                field: 'pm',
                title: 'PM',
                width: 70,
                align: 'left',
                formatter:function(value, data){ return value || ''; }
            }, {
                field: 'trainer',
                title: 'Trainer',
                width: 70,
                align: 'left',
                formatter:function(value, data){ return value || ''; }
            }, {
                field: 'vendor',
                title: 'Vendor',
                width: 70,
                align: 'left',
                formatter:function(value, data){ return value || ''; }
            }, {
                field: 'country',
                title: 'Country',
                width: 70,
                align: 'left',
                formatter:function(value, data){ return value || ''; }
            }, {
                field: 'city',
                title: 'City',
                width: 70,
                align: 'left',
                formatter:function(value, data){ return value || ''; }
            }
            //EM, PM, Trainer, Vendor, Country, City
        ]
    });
</script>
<include file="Public:footer"/>


